const cszLiberoContentID = "@mozilla.org/LiberoPOP;1";


window.addEventListener("load", function() {gLiberoStartUp.init();} , false);

var gLiberoStartUp =
{   
    m_DomainManager : null,
    m_Log : null,
    m_Timer : null,
                            
    init : function ()
    {
        try
        {     
            //create debug log global 
            this.m_Log = new DebugLog("webmail.logging.comms", 
                                      "{3c8e8390-2cf6-11d9-9669-0800200c9a66}",
                                      "Libero");
                                            
            this.m_Log.Write("Libero.js : LiberoStartUp - START");
        
                         
            this.m_DomainManager = Components.classes["@mozilla.org/DomainManager;1"];
            this.m_DomainManager = this.m_DomainManager.getService();
            this.m_DomainManager.QueryInterface(Components.interfaces.nsIDomainManager);
           
            this.m_Timer = Components.classes["@mozilla.org/timer;1"]
                                     .createInstance(Components.interfaces.nsITimer); 
            this.m_Timer.initWithCallback(this, 
                                          2000, 
                                          Components.interfaces.nsITimer.TYPE_REPEATING_SLACK);
            this.m_Log.Write("Libero.js : LiberoStartUp - DB not loaded");
           
            window.removeEventListener("load", function() {gLiberoStartUp.init();} , false);
                    
        	this.m_Log.Write("Libero.js : LiberoStartUP - END ");
        }
        catch(e)
        {
            this.m_Log.DebugDump("Libero.js : Exception in LiberoStartUp " 
                                        + e.name + 
                                        ".\nError message: " 
                                        + e.message);
        }
    },  
       
        
    notify: function(timer)
    {
        try
        {
            this.m_Log.Write("Libero.js : TimerCallback -  START");


            if(!this.m_DomainManager.isReady())
            {
                this.m_Log.Write("Libero.js : TimerCallback -  db not ready");
                return;
            }
            timer.cancel();

            //get store ids
            this.idCheck("libero.it","POP", cszLiberoContentID );
            this.idCheck("iol.it","POP", cszLiberoContentID );
            this.idCheck("inwind.it","POP", cszLiberoContentID );
            this.idCheck("blu.it","POP", cszLiberoContentID );

            this.m_Log.Write("Libero.js : TimerCallback - END");
        }
        catch(e)
        {
            this.m_Log.DebugDump("Libero.js : TimerCallback - Exception in notify : " 
                                        + e.name + 
                                        ".\nError message: " 
                                        + e.message);
        }
    },
    
    
    idCheck : function(szDomain, szProtocol, szLiberoContentID)
    {
        this.m_Log.Write("Libero.js : idCheck - START");
        this.m_Log.Write("Libero.js : idCheck - " +szDomain + " "
                                                + szProtocol+ " "
                                                + szLiberoContentID);

        var szContentID = new Object;
        if (this.m_DomainManager.getDomainForProtocol(szDomain,szProtocol, szContentID))
        {
            this.m_Log.Write("Libero.js : idCheck - found");
            if (szContentID.value != szLiberoContentID)
            {
                this.m_Log.Write("Libero.js : idCheck - wrong id");
                this.m_DomainManager.newDomainForProtocol(szDomain, szProtocol, szLiberoContentID);
            }
        }
        else
        {
            this.m_Log.Write("Libero.js : idCheck - not found");
            this.m_DomainManager.newDomainForProtocol(szDomain, szProtocol, szLiberoContentID);    
        }

        this.m_Log.Write("Libero.js : idCheck - END");
    },
};
